Rensei docs
API ReferenceWorkflows

Update / publish / archive a workflow.

Update / publish / archive a workflow. - Rensei REST API operation reference.

PUT
/api/workflows/{id}

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Path Parameters

id*string

Workflow id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/workflows/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "workspaceId": "string",
  "name": "string",
  "description": "string",
  "status": "string",
  "nodes": [
    null
  ],
  "edges": [
    null
  ],
  "groups": [
    null
  ],
  "viewport": null,
  "definitionYaml": "string",
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "publishedAt": "string",
  "projectScope": [
    "string"
  ],
  "archivedAt": "string"
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty